<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'../config.php';
$align='left';
$title='Удаление юзера';
head();
aut();
levels(7);

if (empty($act)){

$nick = check($_GET['nick']);
if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if ($inf[level]>$user[level])echo 'Доступ закрыт!<br />';
else{
echo 'Вы уверены что хотите <b>безвозвратно</b> удалить пользователя <b>'.$inf[user].'</b>?';
echo gbinroom.'<a href="del_user?nick='.$inf[id].'&amp;act=del">Да</a> | <a href="'.H.$inf[id].'">НЕТ</a>'.div;

}}

}else{
$nick = check($_GET['nick']);
if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if ($inf[level]>$user[level])echo 'Доступ закрыт!<br />';
else{
if ($inf[id]==1)echo 'Не, <b>'.$inf[user].'</b> удалить просто не реально!<br />';
else{

///Удаление фото из анкеты///////////////////
if($inf[photo]!=''){                       //
unlink (H.$inf[photo].''); //
}                                          //
/////////////////////////////////////////////

///Удаление альбомов//////////////////////////////////////////////////////////////////
@$db->sql_query("delete from `foto_albom` where user_id='".$inf[id]."';");
$q = @$db->sql_query("SELECT * FROM `foto_add` where user_id='".$inf['id']."';");
while($d = $db->sql_fetchrow($q)){
$flag = unlink (H.'files/album/album_'.$d[album].'_'.$d[id].$d[format]);}
@$db->sql_query("delete from `foto_add` where user_id='".$inf[id]."';");
/////////////////////////////////////////////////////////////////////////////////////////

/// Прочее ///////////////////////////////////////////////////////////////
@$db->sql_query("delete from `xstatus` where user='".$inf[id]."';");
@$db->sql_query("delete from `vote_us` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `vote_photo` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `stena` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `questions` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `privat` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `perevod` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `opinions` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `message` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `komm_photo` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `ignor` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `friends` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `foto_komm` where user_id='".$inf[id]."';");
@$db->sql_query("delete from `who` where user='".$inf[id]."';");
///////////////////////////////////////////////////////////////////////////
@$db->sql_query("delete from users where id='".user_inf($nick)."' LIMIT 1;");

$messs = '[b]'.$user['user'].'[/b] удалил пользователя [b]'.$inf['user'].'[/b]';
$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('del','$messs','$time')");

echo 'Пользователь <b>'.$inf[user].'</b> удален!';
}}}
}
echo '<br />';
if ($mod)echo gb.'<a href="users">Управление юзерами</a>'.div;
echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>